<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Group.aspx.cs" Inherits="LMN.Web.Admin.Member.Group" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
<title></title>
<link href="../css/admin.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="../Scripts/jquery-1.4.1.min.js"></script>
</head>
<body>
<form id="form1" runat="server">
    <div style="padding: 20px;">
        <h4 class="title">用户分组 <a href="GroupAdd.aspx">+<span>添加</span></a></h4>
        <div class="division">
            <table>
                <thead>
                    <tr class="left">
                        <th class="chk"><input type="checkbox" id="all" name="all" value="true" /></th>
                        <th class="w40">默认</th>
                        <th class="w40">积分</th>
                        <th class="w40">折扣</th>
                        <th>名称</th>
                    </tr>
                </thead>
                <asp:Repeater ID="Repeater1" runat="server">
                    <ItemTemplate>
                        <tr>
                            <td><input type="checkbox" id="id_<%#Eval("id") %>" name="id" value="<%#Eval("id") %>" /></td>
                            <td><%#Eval("isdef") %></td>
                            <td><%#Eval("score") %></td>
                            <td><%#Convert.ToInt32(Eval("discount")) == 10 ? "无" : Eval("discount") + "折"%></td>
                            <td><a href="GroupAdd.aspx?id=<%#Eval("id") %>"><%#Eval("name") %></a></td>
                        </tr>
                    </ItemTemplate>
                </asp:Repeater>
                <tfoot>
                    <tr>
                        <td colspan="3"><input type="button" id="dele" value="删除选中" /></td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
</form>
<script type="text/javascript">
    $("#all").click(function() {
        var b = $(this).attr("checked");
        $("input[name=id]").each(function() {
            $(this).attr("checked", b);
        });
    });
    $("#dele").click(function() {
        if ($("input[name=id]:checked").length == 0) {
            showTips("请选择要删除的项！", 3);
            return false;
        }

        if (!confirm("确认删除选中的记录？"))
            return false;

        var ids = "";
        $("input[name=id]:checked").each(function() {
            ids += (ids == "" ? "" : ",") + $(this).val();
        });

        if (ids != "") {
            $.get("Action.aspx?action=groupdelete&id=" + ids + "&" + new Date(), function(data) {
                if (data == "-1") {
                    alert("请选择要删除的记录！");
                } else if (data == "0") {
                    alert("删除失败，请重试！");
                } else {
                    alert("删除成功！");
                    location.reload();
                }
            });
        }
        return true;
    });
</script>
</body>
</html>
